Subject: FVWM: ButtonStyle ignored

From: "Randy J. Ray" <[email-masked]>
Date: Fri, 28 Mar 1997 09:45:38 -0700

Previously, I defined multiple decors for the sake of title styles and color
specifications. In each of the decors, I had the same 5 AddButtonStyle
statements. Only, there were two problems: If I changed a style and re-started,
it overlaid on the current style, so I wanted ButtonStyle instead of
AddButtonStyle. And (2), These 5 styles were redundantly defined, and changing
one meant changing it in several places.

So I added the following:

ButtonStyle 1 5 25x61@0 75x61@0 75x39@0 25x39@1 25x61@1
ButtonStyle 2 4 50x35@1 65x65@0 35x65@0 50x35@1
ButtonStyle 3 13 90x10@1 40x10@1 40x40@1 40x60@1 60x60@0 [ ... ]
ButtonStyle 4 4 50x65@1 35x35@1 65x35@1 50x65@0
ButtonStyle 5 20 50x35@0 40x25@0 50x15@0 60x25@1 50x35@1 [ ... ]

outside of a Decor definition, expecting it to apply universally. But it
doesn't, I get default visual styles for all the buttons. I've tried several
variations (using the Vector keyword, using "--" to mean all states, etc.),
but none work. For now, I'll have to put them back in the Decor definitions,
but what am I doing wrong?

Randy
--
===============================================================================
Randy J. Ray -- U S WEST Technologies IAD/CSS/DPDS         Phone: (303)595-2869
                Denver, CO                                     [email-masked]
"It's not denial. I'm just very selective about the reality I accept." --Calvin
===============================================================================
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: FRBall <[email-masked]>
Date: Fri, 28 Mar 1997 11:07:06 -0600

You may want to add the KeyWord Vector to that...
ButtonStyle 1 Vector 5 .......

I found this to work in fvwm-2.0.45

FRBall
[email-masked]

---

From: Jim Knoble <[email-masked]>
Date: Fri, 28 Mar 1997 14:54:35 -0500 (EST)

if you don't mind using FvwmM4 or FvwmCpp you can make a definition for
the Button Styles, or make a separate file and m4_include() or #include
it.  here's what i do (extraneous stuff removed for clarity):

# define a Maximize button:
m4_define(<%_BUTTON_MAX_%>, <%2%>)m4_dnl
m4_define(<%_DefaultButtonMax_%>, <%m4_dnl
_ButtonStyle(_BUTTON_MAX_, <%5 75x25@1 25x25@1 25x75@1 75x75@0  75x25@0%>)m4_dnl
%>)m4_dnl
# make it part of the `Default' decor:
_DefaultButtonMax_
#
# ...
#
# now make it part of another decor also:
AddToDecor Smooth
+ _DefaultButtonMax_

note that the above uses "FvwmM4 .fvwmrc -m4-prefix".

--jim

##############  jim knoble  ######  [email-masked]  ################

On Fri, 28 Mar 1997, Randy J. Ray wrote:

: Previously, I defined multiple decors for the sake of title styles and color
: specifications. In each of the decors, I had the same 5 AddButtonStyle
: statements. Only, there were two problems: If I changed a style and re-started,
: it overlaid on the current style, so I wanted ButtonStyle instead of
: AddButtonStyle. And (2), These 5 styles were redundantly defined, and changing
: one meant changing it in several places.
: 
: So I added the following:
: 
: ButtonStyle 1 5 25x61@0 75x61@0 75x39@0 25x39@1 25x61@1
: ButtonStyle 2 4 50x35@1 65x65@0 35x65@0 50x35@1
: ButtonStyle 3 13 90x10@1 40x10@1 40x40@1 40x60@1 60x60@0 [ ... ]
: ButtonStyle 4 4 50x65@1 35x35@1 65x35@1 50x65@0
: ButtonStyle 5 20 50x35@0 40x25@0 50x15@0 60x25@1 50x35@1 [ ... ]
: 
: outside of a Decor definition, expecting it to apply universally. But it
: doesn't, I get default visual styles for all the buttons. I've tried several
: variations (using the Vector keyword, using "--" to mean all states, etc.),
: but none work. For now, I'll have to put them back in the Decor definitions,
: but what am I doing wrong?
: 
: Randy